package com.dayou.service;
import com.dayou.bo.ReportNounBO;
import com.dayou.entity.ReportNoun;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 报告名词占位符 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-09-05
 */
public interface IReportNounService extends IService<ReportNoun> {

        List<ReportNounBO> getListByType(String id);

        ReportNoun detail(Long id);

        Boolean add(ReportNoun reportNoun);

        Boolean update(ReportNoun reportNoun);

        Boolean delete(Long id);

}
